# PyMathSolver

## Introduction

PyMathSolver is a Python module to solve math problems and work on calculations.

Version - 1.2.4

## Installing and Importing

Run the following command `pip install PyMathSolver` to install the module.

To import the module, use `import PyMathSolver`.

When you run `PyMathSolver.about()`, you can get a little more information on this module and how you can use it.

## Utilities

This module has the following sub-modules:

1) **Quadratic** - Find the roots of a quadratic equation.
2) **Numbers** - Find the HCF, LCM, square, square root, cube, and much more.
3) **Geometry** - Find areas, volumes, surface areas, lateral surface areas, and much more.
4) **CoordinateGeometry** - Find the distance between 2 points, use the section formula, and find the collinearity of points on a plane.
5) **Statistics** - Find the mean, median, and mode of ungrouped data.
6) **Trigonometry** - Convert degrees to radians, radians to degrees, and find trigonometric ratios.
7) **ComplexNumbers** - Algebra of complex numbers. Find the modulus, conjugate, multiplicative inverse, and polar form of a complex number.

NOTE: To know more about each sub-module, use: `from PyMathSolver import sub-module` and then `sub-module.about`.

Many more utilities are on their way!

## Module Information

**Name** - PyMathSolver </br>
**Version** - 1.2.4 </br>
**Description** - PyMathSolver is a Python module to solve math problems and work on calculations.</br>
**Author** - Aniketh Chavare </br>
**Author's Email** - anikethchavare@gmail.com </br>
**GitHub URL** - [https://github.com/Anikethc/PyMathSolver](https://github.com/Anikethc/PyMathSolver). </br>
**Pypi.org URL** - [https://pypi.org/project/pymathsolver](https://pypi.org/project/pymathsolver). </br>

## License

Copyright 2022-2023 Aniketh Chavare

Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute,
sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Issues & Bugs

If you encounter any issues or bugs, you can visit the 'Issues' tab in my repository and create an issue. I will immediately look into it and resolve it as soon as possible.

## Conclusion

I hope you liked this module. Thank you!
